Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMUserDefinedType

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.SOMUserDefinedType

Direct Known Subclasses:
  SOMComplexType, SOMSimpleType

public abstract class SOMUserDefinedType
extends SOMType

Superclass for complexType and simpleType

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`SOMUserDefinedType()`
`SOMUserDefinedType(java.lang.String name)`

Method Summary
`SOMAnnotation` | `addAnnotation()`
`SOMAnnotation` | `addAnnotation(SOMAnnotation annotation)`
`SOMDocumentation` | `addDocumentation(java.lang.String info)`
`SOMAnnotation` | `getAnnotation()`
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`java.lang.String` | `getName()`
`boolean` | `isElementalType()`
`boolean` | `isUserDefinedType()`
`SOMAnnotation` | `removeAnnotation()` set the annotation for this type to null.
`void` | `setName(java.lang.String p_name)`
`protected abstract void` | `validate(org.w3c.dom.Node element, java.util.List errorList)`

Methods inherited from class com.bea.schema.type.SOMType
`getAllowedFacets, getID, getType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMUserDefinedType

    public SOMUserDefinedType(java.lang.String name)

### SOMUserDefinedType

    public SOMUserDefinedType()

Method Detail

### setName

    public void setName(java.lang.String p_name)

### getName

    public java.lang.String getName()

### addDocumentation

    public SOMDocumentation addDocumentation(java.lang.String info)

### addAnnotation

    public SOMAnnotation addAnnotation()

### addAnnotation

    public SOMAnnotation addAnnotation(SOMAnnotation annotation)

### getAnnotation

    public SOMAnnotation getAnnotation()

### removeAnnotation

    public SOMAnnotation removeAnnotation()

  set the annotation for this type to null.

  Returns:
    the removed annotation, or null if none was present

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

### isElementalType

    public boolean isElementalType()

  Returns:
    false
  Overrides:
    isElementalType in class SOMType

### isUserDefinedType

    public boolean isUserDefinedType()

  Returns:
    true
  Overrides:
    isUserDefinedType in class SOMType

### validate

    protected abstract void validate(org.w3c.dom.Node element,
                                     java.util.List errorList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)